Bug 76265

Summary: Code completion list contains only internal functions/variables on windows.
Product: cnd Reporter: soldatov <soldatov>
Component: Code ModelAssignee: Alexander Simon <alexvsimon>
Status: CLOSED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 5.x   
Target Milestone: 6.x   
Hardware: All   
OS: Windows XP   
Whiteboard: CND1-FCS codecompletion CND1-BETA3
Issue Type: DEFECT Exception Report:
Bug Depends on: 75869    
Bug Blocks:    

Description soldatov 2006-05-12 11:29:00 UTC
- Start Netbeans under cygwin
- Create "Applcation" project
- Add "Main C File" into project
- Move cursor into main function
- Press "ctrl-space"

Code completion list contain only 3 items
Under linux and solaris code completion list contain functions from "stdio.h"
and "stdlib.h" ("printf" for example)
Comment 1 Andrew Krasny 2006-09-06 13:19:30 UTC
Windows is a target platform. 
Declarations from system headers are not visible no matter how NB has been
started (from cygwin or from Windows Explorer). 
Also explicit specifation of include directory in Project Properties Dialog
doesn't lead to correct code-completion list.
Comment 2 Alexander Simon 2006-09-08 14:32:38 UTC
Provide path to includes. Code complition will work right.
Windowos doesn't have standard path to standard libraries.
Hence CND cannot find standard includes.
Configure project:
-c/c++
 -GNU C compiler
  -General
   -Additional include directories
    -Add path to incudes.
Comment 3 Maria Tishkova 2006-09-11 11:49:19 UTC
It is impossible to add include paths for Makefile projects, so it means code
completion will not work for system functions on Windows at all for Makefile
based projects.
Comment 4 Vladimir Kvashin 2006-10-10 20:29:21 UTC
After #75869 has been fixed, this one doesn't reproduce. Declarations from
stdio, stdlib and other files appear in completion list.
Comment 5 Maria Tishkova 2007-08-06 17:49:33 UTC
verified, I believe a long time ago.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo